import { Image, Input, Text, View } from "@tarojs/components"
import back from '@/images/back.png'
import checked from '@/images/checked.png'
import eyeClose from '@/images/eyeClose.png'
import eye from '@/images/eye.png'
import './index.scss'
import { Button } from "@nutui/nutui-react-taro"
import { useState } from "react"
import Taro from "@tarojs/taro"
import backNav from '@/images/backNav.png'

const activeEye = eye

const Login = () => {

    const [account, setAccount] = useState('')
    const [pwd, setPwd] = useState()
    const [loginMode, setLoginMode] = useState('account')

    const [mobile, setMobile] = useState('')
    const [smsCode, setSmsCode] = useState('')
    const [interval, setIntervalTime] = useState(0)


    // 返回页面
    const backFn = () => {
        Taro.getCurrentPages().length > 0 && Taro.navigateBack()
    }


    // 去登陆
    const loginFn = () => {
        Taro.redirectTo({
            url: '/pages/login/index'
        })
    }

    //清理数据
    const cleanFn = () => {
        if (loginMode === 'account') {
            setAccount('')
            setPwd('')
            return
        }
        setMobile('')
        setSmsCode('')
    }

    // 倒计时
    const countDown = () => {
        if (!mobile) {
            return
        }
        setIntervalTime(60)
        if (interval > 0) {
            return
        }
        let start = 60
        const timer = setInterval(() => {
            if (start > 0) {
                start--
                if (start <= 0) {
                    clearInterval(timer)
                }
                setIntervalTime(start)
            }
        }, 1000)
    }

    return <View className="login-frame bg-slate-50 h-screen text-base">
        <View className='addr-detail-title'>
            <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
            添加银行卡

        </View>
        <View className="change-pwd-container bg-slate-50 relative">
            <View>
                <View className="form-item mt-22">
                    <View className="form-label">银行卡号</View>
                    <View className="form-control relative">
                        <Input className="form-input" placeholder="请输入银行卡号" onInput={(v) => {
                            setAccount(v.detail.value)
                        }} />
                        {
                            account && <Image className="w-6 h-6 absolute right-0 bottom-16" src={checked} />
                        }

                    </View>
                </View>
                <View className="form-item mt-22">
                    <View className="form-label">银行名称</View>
                    <View className="form-control relative">
                        <Input className="form-input" type='text' placeholder="请输入银行名称" onInput={(v) => {
                            setPwd(v.detail.value)
                        }} />
                        {
                            pwd && <Image className="w-6 h-6 absolute right-0 bottom-16" src={checked} />
                        }
                    </View>
                </View>
                <View className="change-phone-footer flex flex-col justify-center">
                    <Button className="login-btn">保存</Button>

                </View>
            </View>

        </View>

    </View>
}


export default Login