import { Image, Input, Text, View } from "@tarojs/components"

import empty from '@/images/empty.png'
import './index.scss'
import { Button } from "@nutui/nutui-react-taro"
import { useState } from "react"
import Taro from "@tarojs/taro"
import backNav from '@/images/backNav.png'
import { Picker } from "@nutui/nutui-react-taro"
import { Infiniteloading } from "@nutui/nutui-react-taro"
import { useEffect } from "react"



const Login = () => {

    const [tabKey, setTabKey] = useState('0')
    const [page, setPage] = useState(1)
    const [list, setList] = useState([])

    // 返回页面
    const backFn = () => {
        Taro.getCurrentPages().length > 0 && Taro.navigateBack()
    }

    useEffect(() => { }, [tabKey])


    return <View className="order-frame bg-slate-50 h-screen text-base">
        <View className='addr-detail-title'>
            <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
            我的订单

        </View>
        <View className="order-container relative">

            <View className="order-tabs flex-around">
                <View className={'order-tab-pane ' + (tabKey == '0' ? 'order-tab-pane-active' : '')} onClick={() => setTabKey('0')}>全部</View>
                <View className={'order-tab-pane ' + (tabKey == '1' ? 'order-tab-pane-active' : '')} onClick={() => setTabKey('1')}>待付款</View>
                <View className={'order-tab-pane ' + (tabKey == '2' ? 'order-tab-pane-active' : '')} onClick={() => setTabKey('2')}>待发货</View>
                <View className={'order-tab-pane ' + (tabKey == '3' ? 'order-tab-pane-active' : '')} onClick={() => setTabKey('3')}>已完成</View>
            </View>
            <View className="orderScroll" id="orderScroll">
                {
                    list.length > 0 && <Infiniteloading
                        containerId="orderScroll"
                        useWindow={false}
                        loadTxt="loading"
                        loadMoreTxt="没有数据啦～"
                        loadIcon='loading'
                        hasMore={false}
                        onLoadMore={(x) => {
                            setPage(p => p + 1)
                            x()
                        }}
                    >
                        <View className="order-item-container mt20 flex-col">
                            <View className="flex-between">
                                <Text>订单号：1947034434</Text>
                                <Text className="text-gold">等待付款</Text>
                            </View>
                            <View className="order-goods flex-between">
                                <View className="order-goods-left flex-start">
                                    <Image src={'https://img.yzcdn.cn/vant/cat.jpeg'} className="order-goods-img" />
                                    <View className="flex-col ml17">
                                        <Text>商品名称</Text>
                                        <Text>¥199.00</Text>
                                    </View>
                                </View>
                                <View className="order-goods-num">X1</View>
                            </View>
                            <View className="order-goods-action flex-between">
                                <View className="order-goods-settle">
                                    <Text>已付金额:</Text>
                                    <Text className="text-gold">¥19999.00</Text>
                                </View>
                                <Button className="order-goods-btn flex-center order-btn-cancel">取消订单</Button>
                                <Button className="order-goods-btn flex-center order-btn-pay">立即付款</Button>
                            </View>
                        </View>
                    </Infiniteloading>
                }
                {
                    !list.length && <Image src={empty} className="order-empty" />
                }
            </View>

        </View>
    </View>
}


export default Login