import { Image, Input, Text, View } from "@tarojs/components"
import back from '@/images/back.png'
import checked from '@/images/checked.png'
import teamIcon from '@/images/teamIcon.png'
import eye from '@/images/eye.png'
import './index.scss'
import { Button } from "@nutui/nutui-react-taro"
import { useState } from "react"
import Taro from "@tarojs/taro"
import backNav from '@/images/backNav.png'
import { Avatar } from "@nutui/nutui-react-taro"

const activeEye = eye

const Login = () => {

    const [account, setAccount] = useState('')
    const [pwd, setPwd] = useState()
    const [loginMode, setLoginMode] = useState('account')

    const [mobile, setMobile] = useState('')
    const [smsCode, setSmsCode] = useState('')
    const [interval, setIntervalTime] = useState(0)


    // 返回页面
    const backFn = () => {
        Taro.getCurrentPages().length > 0 && Taro.navigateBack()
    }


    // 去登陆
    const loginFn = () => {
        Taro.redirectTo({
            url: '/pages/login/index'
        })
    }

    //清理数据
    const cleanFn = () => {
        if (loginMode === 'account') {
            setAccount('')
            setPwd('')
            return
        }
        setMobile('')
        setSmsCode('')
    }

    // 倒计时
    const countDown = () => {
        if (!mobile) {
            return
        }
        setIntervalTime(60)
        if (interval > 0) {
            return
        }
        let start = 60
        const timer = setInterval(() => {
            if (start > 0) {
                start--
                if (start <= 0) {
                    clearInterval(timer)
                }
                setIntervalTime(start)
            }
        }, 1000)
    }

    return <View className="login-frame team-page  h-screen text-base">
        <View className='addr-detail-title'>
            <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
            我的团队
        </View>

        <View className="team-container flex-col items-center">
            <View className="team-logo flex-col items-center">
                <Image src={teamIcon} className="team-logo-img" />
                <Text>城市合伙人</Text>
                <Text className="team-logo-text">我的等级</Text>
            </View>

            <View className="team-pre-container flex-around">
                <View className="team-pre-item flex-col justify-center">
                    <Text className="team-pre-price">0.00</Text>
                    <Text>大区业绩</Text>
                </View>
                <View className="team-pre-item flex-col justify-center">
                    <Text className="team-pre-price">0.00</Text>
                    <Text>小区业绩</Text>
                </View>
            </View>

            <View className="invite-container flex-col items-start">
                <View className="invite-title">我邀请的人</View>
                <View className="invite-item flex-between">
                    <View className="invite-item-left flex-start items-center">
                        <Avatar size={42} icon="https://img12.360buyimg.com/imagetools/jfs/t1/143702/31/16654/116794/5fc6f541Edebf8a57/4138097748889987.png"
                        />
                        <View className="flex-col  invite-item-content">
                            <Text>PB-60635</Text>
                            <Text className="team-pre-item">2021-04-09</Text>
                        </View>
                    </View>
                    <View className="invite-level">
                        <Text className="invite-level-text">V5</Text>
                    </View>
                </View>
                <View className="invite-item flex-between">
                    <View className="invite-item-left flex-start items-center">
                        <Avatar size={42} icon="https://img12.360buyimg.com/imagetools/jfs/t1/143702/31/16654/116794/5fc6f541Edebf8a57/4138097748889987.png"
                        />
                        <View className="flex-col  invite-item-content">
                            <Text>PB-60635</Text>
                            <Text className="team-pre-item">2021-04-09</Text>
                        </View>
                    </View>
                    <View className="invite-level">
                        <Text className="invite-level-text">V5</Text>
                    </View>
                </View>
            </View>
        </View>
    </View>
}


export default Login