import React from 'react'
import { Image, Text, View, Input, Label } from '@tarojs/components'
import './index.scss'

import { useEffect } from 'react';
import { useState } from 'react';
import backNav from '@/images/backNav.png'
import next from '@/images/next.png'
import uncheck from '@/images/uncheck.png'
import checked from '@/images/checked.png'
import Taro from '@tarojs/taro';
import { useRouter } from '@tarojs/taro';
import { Button, Textarea, Address } from '@nutui/nutui-react-taro';
import { Avatar } from '@nutui/nutui-react-taro';
import { Overlay } from '@nutui/nutui-react-taro';



function Index() {

  const param = useRouter().params
  const [id] = useState(param.id)
  const [visible, setVisible] = useState(false)

  useEffect(() => {


  }, [id])


  // 跳转
  const navDetailFn = (id) => {
    Taro.navigateTo({
      url: `/pages/pay-success/index?id=${id}`
    })
  }
  // 返回页面
  const backFn = () => {
    Taro.getCurrentPages().length > 0 && Taro.navigateBack()
  }

  // editAvatar
  const editAvatarFn = () => {
    setVisible(true)

  }

  const loadAvatar = (type = 'album') => {

    Taro.chooseImage({
      sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: [type], // 可以指定来源是相册还是相机，默认二者都有，在H5浏览器端支持使用 `user` 和 `environment`分别指定为前后摄像头
      success: function (res) {
        // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
        var tempFilePaths = res.tempFilePaths
        console.log(tempFilePaths)
      }
    })
  }


  return (
    <View className='addr-container'>
      <View className='addr-detail-title'>
        <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
        编辑资料
      </View>

      <View className='addr-body' >
        <View className=' addr-item'>
          <View className='item-bg' >
            <View className='my-order-title flex-between'>
              <Avatar size={46} icon="https://img12.360buyimg.com/imagetools/jfs/t1/143702/31/16654/116794/5fc6f541Edebf8a57/4138097748889987.png"
              />
              <View className='my-order-more flex-center' onClick={editAvatarFn}>
                <Text>修改头像</Text>
                <Image className='next-icon' src={next} />
              </View>
            </View>
          </View>
        </View>

        <View className='addr-item mt-22'>
          <View className='addr-form'>
            <View className='addr-form-name'>个人信息</View>
            <View className='flex justify-between items-center ' onClick={() => { setNormal(true) }}>
              <Label />
              <Image src={next} className='next-icon' />
            </View>
          </View>
          <View className='addr-form'>
            <View className='addr-form-name'>修改密码</View>
            <View className='flex justify-between items-center ' onClick={() => { setNormal(true) }}>

              <Image src={next} className='next-icon' />
            </View>
          </View>
          <View className='addr-form'>
            <View className='addr-form-name'>修改手机号</View>
            <View className='flex justify-between items-center ' onClick={() => { setNormal(true) }}>
              <Label>18080093730</Label>
              <Image src={next} className='next-icon ml-2' />
            </View>
          </View>
          <View className='addr-form'>
            <View className='addr-form-name'>我的银行卡</View>
            <View className='flex justify-between items-center ' onClick={() => { setNormal(true) }}>
              <Image src={next} className='next-icon' />
            </View>
          </View>
        </View>

      </View>
      <Overlay visible={visible} >
        <View className='modify-box'>
          <View className='modify-item '>
            <View className='modify-item-btn flex-center' onClick={() => {
              loadAvatar('camera')
            }}>立即拍照</View>
            <View className='modify-item-btn flex-center bt-none' onClick={() => {
              loadAvatar('album')
            }}>从相册选取</View>
          </View>
          <View className='modify-item mt-4'>
            <View className='modify-item-btn bt-none flex-center' onClick={() => { setVisible(false) }}>取消</View>
          </View>
        </View>
      </Overlay>
    </View>
  )
}

export default Index
